### Method

# Pango Context get_metrics

#### Declaration [src]

    PangoFontMetrics*
    pango_context_get_metrics (
      PangoContext* context,
      const PangoFontDescription* desc,
      PangoLanguage* language
    )

#### Description [src]

Get overall metric information for a particular font description.

Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.

The `PangoFontDescription` is interpreted in the same way as by `pango_itemize()`, and the family name may be a comma separated list of names. If characters from multiple of these families would be used to render the string, then the returned fonts would be a composite of the metrics for the fonts loaded for the individual families.

#### Parameters

`desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` structure. `NULL` means that the font description from the context will be used.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`language`

  Type: `PangoLanguage`

  Language tag used to determine which script to get the metrics for. `NULL` means that the language tag from the context will be used. If no language tag is set on the context, metrics for the default language (as determined by `pango_language_get_default()` will be returned.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `PangoFontMetrics`

A `PangoFontMetrics` object. The caller must call `pango_font_metrics_unref()` when finished using the object.

The caller of the method takes ownership of the data, and is responsible for freeing it.